Zen API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Friends Macros Modules Pages
Public Member Functions
kSSize Struct Reference
kApi

## Description

Represents a signed integer that can store a pointer address.

Inheritance diagram for kSSize:

## Public Member Functions
kStatus | kSSize_Format (kSSize value, kChar *buffer, kSize capacity)
| Converts kSSize value to string. More...
kStatus | kSSize_Parse (kSSize *value, const kChar *str)
| Converts string to kSSize value. More...
Public Member Functions inherited from kValue
kBool | kValue_Equals (kType type, const void *value, const void *other)
| Determines whether a value is equal to another value. More...
kSize | kValue_HashCode (kType type, const void *value)
| Gets a hash code representing the state of this value. More...
void | kValue_Import (kType type, void *value, const void *source)
| Imports the content of another value into this value. More...

## Related
#define | kSSIZE_MIN
| Minimum value contained by kSSize.
#define | kSSIZE_MAX
| Maximum value contained by kSSize.
#define | kSSIZE_NULL
| Invalid kSSize value.
Related inherited from kValue
#define | kValue_EqualsT(kType_type, TPtr_value, TPtr_other)
| Determines whether a value is equal to another value. More...
#define | kValue_HashCodeT(kType_type, TPtr_value)
| Gets a hash code representing the state of this value. More...

## Additional Inherited Members
Protected Member Functions inherited from kValue
kBool | kValue_VEquals (kType type, const void *value, const void *other)
| Protected virtual method that compares two values for equality. More...
kSize | kValue_VHashCode (kType type, const void *value)
| Protected virtual method that calculates a hash code representing the value instance. More...
void | kValue_VImport (kType type, void *value, const void *source)
| Protected virtual method that imports data from an external source into an array-value type. More...

The documentation for this struct was generated from the following file:

- kApiDef.h